MySQL++ Reference Manual

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::WindowsNamedPipeConnection Class Reference

Specialization of `Connection` for Windows named pipes. More...

`#include <wnp_connection.h>`

Inheritance diagram for mysqlpp::WindowsNamedPipeConnection:

[legend]
Collaboration diagram for mysqlpp::WindowsNamedPipeConnection:

[legend]
List of all members.

## Public Member Functions
| WindowsNamedPipeConnection ()
| Create object without connecting it to the MySQL server.
| WindowsNamedPipeConnection (const char *db, const char *user=0, const char *password=0)
| Create object and connect to database server over Windows named pipes in one step.
| WindowsNamedPipeConnection (const WindowsNamedPipeConnection &other)
| Establish a new connection using the same parameters as an existing connection.
| ~WindowsNamedPipeConnection ()
| Destroy object.
bool | connect (const char *db=0, const char *user=0, const char *password=0)
| Connect to database after object is created.
## Static Public Member Functions
static bool | is_wnp (const char *server)
| Check that given string denotes a Windows named pipe connection to MySQL.

## Detailed Description

Specialization of `Connection` for Windows named pipes.

This class just simplifies the connection creation interface of `Connection`. It does not add new functionality.

## Constructor & Destructor Documentation

mysqlpp::WindowsNamedPipeConnection::WindowsNamedPipeConnection | ( | const char * | db,
|  | const char * | user = `0`,
|  | const char * | password = `0` |
| ) |  |  | `[inline]`

Create object and connect to database server over Windows named pipes in one step.

Parameters:

  | db | name of database to use
  | user | user name to log in under, or 0 to use the user name the program is running under
  | password | password to use when logging in

mysqlpp::WindowsNamedPipeConnection::WindowsNamedPipeConnection | ( | const WindowsNamedPipeConnection & | other | ) | `[inline]`

Establish a new connection using the same parameters as an existing connection.

Parameters:

  | other | pre-existing connection to clone

## Member Function Documentation

bool mysqlpp::WindowsNamedPipeConnection::connect | ( | const char * | db = `0`,
|  | const char * | user = `0`,
|  | const char * | password = `0` |
| ) |  |  |

Connect to database after object is created.

It's better to use the connect-on-create constructor if you can. See its documentation for the meaning of these parameters.

If you call this method on an object that is already connected to a database server, the previous connection is dropped and a new connection is established.

bool mysqlpp::WindowsNamedPipeConnection::is_wnp | ( | const char * | server | ) | `[static]`

Check that given string denotes a Windows named pipe connection to MySQL.

Parameters:

  | server | the server address

Returns:
  false if server address does not denote a Windows named pipe connection, or we are not running on Windows

The documentation for this class was generated from the following files:

- wnp_connection.h
- wnp_connection.cpp